is_begin_parens.hpp File Reference

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_DETAIL_IBP_SPLIT(i, ...) MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT(MSGPACK_PP_DETAIL_IBP_SPLIT_,i)(__VA_ARGS__) \
#define | MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C(...) 1
#define | MSGPACK_PP_DETAIL_IBP_SPLIT_0(a, ...) a
#define | MSGPACK_PP_DETAIL_IBP_SPLIT_1(a, ...) __VA_ARGS__
#define | MSGPACK_PP_DETAIL_IBP_CAT(a, ...) MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT(a,__VA_ARGS__)
#define | MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT(a, ...) a ## __VA_ARGS__
#define | MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_1 1,
#define | MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C 0,

## Macro Definition Documentation

## MSGPACK_PP_DETAIL_IBP_CAT

#define MSGPACK_PP_DETAIL_IBP_CAT | ( |  | a,
|  |  | ...
| ) |  | MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT(a,__VA_ARGS__)

## MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C

#define MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C | ( |  | ... | ) | 1

## MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_1

#define MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_1 1,

## MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C

#define MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_R_MSGPACK_PP_DETAIL_IBP_IS_VARIADIC_C 0,

## MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT

#define MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT | ( |  | a,
|  |  | ...
| ) |  | a ## __VA_ARGS__

## MSGPACK_PP_DETAIL_IBP_SPLIT

#define MSGPACK_PP_DETAIL_IBP_SPLIT | ( |  | i,
|  |  | ...
| ) |  | MSGPACK_PP_DETAIL_IBP_PRIMITIVE_CAT(MSGPACK_PP_DETAIL_IBP_SPLIT_,i)(__VA_ARGS__) \

## MSGPACK_PP_DETAIL_IBP_SPLIT_0

#define MSGPACK_PP_DETAIL_IBP_SPLIT_0 | ( |  | a,
|  |  | ...
| ) |  | a

## MSGPACK_PP_DETAIL_IBP_SPLIT_1

#define MSGPACK_PP_DETAIL_IBP_SPLIT_1 | ( |  | a,
|  |  | ...
| ) |  | __VA_ARGS__